
Summary: Audio-decoding framework 
Name:	 akode 
Version: 2.0.1
Release: 1%{?dist}
License: LGPL
Group: 	 System Environment/Libraries
#URL:	 http://carewolf.com/akode/  
URL:	 http://www.kde-apps.org/content/show.php?content=30375
Source0: http://www.kde-apps.org/content/files/30375-akode-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: automake
BuildRequires: alsa-lib-devel
BuildRequires: flac-devel
BuildRequires: libsamplerate-devel
BuildRequires: speex-devel
BuildRequires: libvorbis-devel
BuildRequires: libtool

%description
aKode is a simple audio-decoding frame-work that provides a uniform
interface to decode the most common audio-formats. It also has a direct
playback option for a number of audio-outputs.

aKode currently has the following decoder plugins:
* mpc: Decodes musepack aka mpc audio.
* xiph: Decodes FLAC, Ogg/FLAC, Speex and Ogg Vorbis audio. 

aKode also has the following audio outputs:
* oss: Outputs to the OSS (Open Sound System)
* alsa: Outputs to ALSA (dmix is recommended).
%if 0
TODO
* jack: Outputs using Jack audio backend.
* polyp: Output to the polypaudio server.  Recommended for network 
  transparent audio. 
%endif

%package devel
Summary: Headers for developing programs that will use %{name} 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}%{?beta}

[ ! -f configure ] && make -f Makefile.cvs


%build
%configure \
  --disable-static \
  --disable-debug --disable-warnings --disable-dependency-tracking \
  --without-libltdl \
  --with-alsa \
  --with-flac \
  --with-libsamplerate \
  --with-speex \
  --with-vorbis \
  --without-jack \
  --without-polypaudio \
  --without-ffmpeg \
  --without-libmad 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# rpmdocs
for file in AUTHORS COPYING NEWS README TODO ; do
  test -s  "$file" && install -p -m644 -D "$file" "rpmdocs/$file"
done


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc rpmdocs/* 
%{_bindir}/akodeplay
%{_libdir}/libakode.so.*
%{_libdir}/libakode_*_*.so

%files devel
%defattr(-,root,root,-)
%{_bindir}/akode-config
%{_includedir}/*
%{_libdir}/libakode.so


%changelog
* Mon Aug 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.0.1-1
- 2.0.1

* Fri Jul 21 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc6: gcc/glibc respin

* Fri Feb 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 
- fc5: gcc/glibc respin

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-1
- 2.0(final)

* Wed Nov 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.4.rc1
- 2.0rc1 

* Wed Nov 23 2005 Rex Dieter <rexdieter[AT]users.sf.net. 2.0-0.2.b3
- --without-libltdl

* Tue Nov 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.1.b3
- akode-2.0b3

